STU3 Observation
The Observation resource provides "measurements and simple assertions made about a patient, device or other subject".
Supported Profiles
This API supports the following FHIR profiles:
Operations
The Certified API Observation resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | Yes | - | Yes |
| myAvatar | - | Yes | - | Yes |
| myEvolv | - | Yes | - | Yes |
| myUnity | - | Yes | - | Yes |
Search
info
Not all Netsmart solutions support Observation search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED The subject that the observation is about (if patient) |
| category | token | REQUIRED The classification of the type of observation |
| _id | id | Unique identifier of the Observation. Cannot be used with other search parameters. |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
Search by Patient and Category
curl -X POST https://fhir.netsmartcloud.com/fhir/Observation/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147" \
-d "category=laboratory"
Search by Patient and Category
curl -X POST https://fhirtest.netsmartcloud.com/fhir/Observation/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147" \
-d "category=laboratory"
Via GET
- Production
- Preview
Search by Patient and Category
curl -X GET "https://fhir.netsmartcloud.com/fhir/Observation?patient=Patient/147&category=laboratory" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
Search by Patient and Category
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/Observation?patient=Patient/147&category=laboratory" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"